> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seam.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Revoke ACS User Access to All Entrances

> Revokes access to all [entrances](https://docs.seam.co/api/acs/entrances/object) for a specified [access system user](https://docs.seam.co/low-level-apis/access-systems/user-management).



## OpenAPI

````yaml /openapi.json post /acs/users/revoke_access_to_all_entrances
openapi: 3.0.0
info:
  title: Seam Connect
  version: 1.0.0
servers:
  - url: https://connect.getseam.com
security: []
tags:
  - description: access_codes
    name: /access_codes
  - description: acs
    name: /acs
  - description: action_attempts
    name: /action_attempts
  - description: client_sessions
    name: /client_sessions
  - description: connected_accounts
    name: /connected_accounts
  - description: connect_webviews
    name: /connect_webviews
  - description: devices
    name: /devices
  - description: events
    name: /events
  - description: health
    name: /health
  - description: locks
    name: /locks
  - description: networks
    name: /networks
  - description: noise_sensors
    name: /noise_sensors
  - description: phones
    name: /phones
  - description: thermostats
    name: /thermostats
  - description: user_identities
    name: /user_identities
  - description: webhooks
    name: /webhooks
  - description: workspaces
    name: /workspaces
paths:
  /acs/users/revoke_access_to_all_entrances:
    post:
      tags:
        - /acs
      summary: Revoke ACS User Access to All Entrances
      description: >-
        Revokes access to all
        [entrances](https://docs.seam.co/api/acs/entrances/object) for a
        specified [access system
        user](https://docs.seam.co/low-level-apis/access-systems/user-management).
      operationId: acsUsersRevokeAccessToAllEntrancesPost
      requestBody:
        content:
          application/json:
            schema:
              properties:
                acs_system_id:
                  description: >-
                    ID of the access system for which you want to revoke access.
                    You can only provide acs_system_id with user_identity_id.
                  format: uuid
                  type: string
                acs_user_id:
                  description: >-
                    ID of the access system user for whom you want to revoke
                    access. You can only provide acs_user_id or
                    user_identity_id.
                  format: uuid
                  type: string
                user_identity_id:
                  description: >-
                    ID of the user identity for whom you want to revoke access.
                    You can only provide acs_user_id or user_identity_id.
                  format: uuid
                  type: string
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  ok:
                    type: boolean
                required:
                  - ok
                type: object
          description: OK
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
      security:
        - api_key: []
        - pat_with_workspace: []
        - console_session_with_workspace: []
      x-codeSamples:
        - lang: javascript
          label: Seam SDK
          source: |-
            await seam.acs.users.revokeAccessToAllEntrances({
              user_identity_id: "aadb341e-6cd5-4c8b-9561-8f686f84160c",
              acs_system_id: "d42163f1-ac2d-4c15-a651-5f2e0007b297",
            });

            /*
            // void
            */
        - lang: bash
          label: cURL
          source: >-
            curl --include --request POST
            "https://connect.getseam.com/acs/users/revoke_access_to_all_entrances"
            \
              --header "Authorization: Bearer $SEAM_API_KEY" \
              --json @- <<EOF
            {
              "user_identity_id": "aadb341e-6cd5-4c8b-9561-8f686f84160c",
              "acs_system_id": "d42163f1-ac2d-4c15-a651-5f2e0007b297"
            }

            EOF


            # Response:

            # {}
        - lang: python
          label: Seam SDK
          source: |-
            seam.acs.users.revoke_access_to_all_entrances(
                user_identity_id="aadb341e-6cd5-4c8b-9561-8f686f84160c",
                acs_system_id="d42163f1-ac2d-4c15-a651-5f2e0007b297",
            )

            # None
        - lang: ruby
          label: Seam SDK
          source: |-
            seam.acs.users.revoke_access_to_all_entrances(
              user_identity_id: "aadb341e-6cd5-4c8b-9561-8f686f84160c",
              acs_system_id: "d42163f1-ac2d-4c15-a651-5f2e0007b297",
            )

            # => nil
        - lang: php
          label: Seam SDK
          source: |-
            $seam->acs->users->revoke_access_to_all_entrances(
                user_identity_id: "aadb341e-6cd5-4c8b-9561-8f686f84160c",
                acs_system_id: "d42163f1-ac2d-4c15-a651-5f2e0007b297",
            );
        - lang: bash
          label: Seam CLI
          source: >-
            seam acs users revoke-access-to-all-entrances --user_identity_id
            "aadb341e-6cd5-4c8b-9561-8f686f84160c" --acs_system_id
            "d42163f1-ac2d-4c15-a651-5f2e0007b297"


            # {}
components:
  securitySchemes:
    api_key:
      bearerFormat: API Key
      scheme: bearer
      type: http
    pat_with_workspace:
      bearerFormat: API Token
      scheme: bearer
      type: http
    console_session_with_workspace:
      bearerFormat: Console Session Token
      scheme: bearer
      type: http

````